import { Plugin, Compiler } from 'webpack';
export interface PiletWebpackPluginOptions {
    /**
     * The name of the pilet.
     */
    name: string;
    /**
     * The version of the pilet.
     */
    version: string;
    /**
     * The name of the Piral instance / app shell.
     */
    piral: string;
    /**
     * The schema version. By default, v1 is used.
     */
    schema?: 'v0' | 'v1' | 'none';
    /**
     * The shared dependencies. By default, these are read from the
     * Piral instance.
     */
    externals?: Array<string>;
    /**
     * Additional environment variables to define.
     */
    variables?: Record<string, string>;
}
export declare class PiletWebpackPlugin implements Plugin {
    private options;
    constructor(options: PiletWebpackPluginOptions);
    apply(compiler: Compiler): void;
}
